Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 System.Enum

Specifies flags for method attributes.

This enumeration is used by the property.

- Field
  System.Reflection.MethodAttributes Abstract

  Specifies that the type that declares the method does not provide an implementation.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes Assembly

  Specifies that the method is accessible throughout the assembly.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes ReuseSlot, CheckAccessOnOverride To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes FamANDAssem

  Specifies that the method is accessible only to members of the type that defines the method and its subclasses in the assembly that contains the defining type.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes Family

  Specifies that the method is accessible only to the members of the type that defines it and its subclasses.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes FamORAssem Specifies that the method is accessible to members of the type that defines the method and its subclasses, and throughout the assembly. To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes Final

  Specifies that the method cannot be overridden.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes ReuseSlot, HasSecurity To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes HideBySig

  Specifies that the method is hidden by name and signature.

  A method that is not hidden by name and signature is hidden by name only.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes MemberAccessMask

  Specifies a bit-mask that, when combined with the attributes of a method using the logical AND operator, yields the bits that specify the accessibility of a method.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes VtableLayoutMask

  Specifies that the method always gets a new slot in the v-table.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes PinvokeImpl

  Specifies that the method implementation is forwarded through PInvoke (Platform Invocation Services).

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes Private

  Specifies that the method is accessible only to members in the defining type.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes ReuseSlot

  Specifies that the member cannot be referenced.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes Public Specifies that the method is accessible to members of any type. To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes ReuseSlot, RequireSecObject To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes ReuseSlot, ReservedMask To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes ReuseSlot

  Specifies that the method will reuse an existing slot in the v-table.

  This is the default behavior.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes ReuseSlot, RTSpecialName To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes SpecialName

  Specifies that the method is treated in a special way by some tools.

  For more information on special names, see Partition I of the CLI Specification.

  For more information on in metadata, see Partition II of the CLI Specification.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes Static

  Specifies that the method is invoked on the defining type.

  For method invocation, the target of a static method is a object that represents the type where the method is defined.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes ReuseSlot, UnmanagedExport To be added. To be added. 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes Virtual

  Specifies that the method is virtual.

  To be added. 0 1.0.5000.0 2.0.0.0
- Field
  System.Reflection.MethodAttributes VtableLayoutMask

  Specifies a bit-mask that, when combined with the attributes of a method using the logical AND operator, yields the v-table attributes of a method.

  To be added. 0 1.0.5000.0 2.0.0.0
0 System.Flags System.Runtime.InteropServices.ComVisible(true)